Register an OAuth client
Dynamically registers an OAuth client and returns its credentials and public metadata.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://auth.ecomiq.pe/connect/register" \ -H "Content-Type: application/json" \ -d '{ "client_name": "Mi tienda", "redirect_uris": [ "Mi tienda" ], "token_endpoint_auth_method": "replace_with_the_issued_token", "grant_types": [ "Mi tienda" ], "response_types": [ "Mi tienda" ], "application_type": "Mi tienda" }'{ "client_id": "app_replace_with_your_client_id", "client_name": "Mi tienda", "redirect_uris": [ "Mi tienda" ], "token_endpoint_auth_method": "replace_with_the_issued_token", "grant_types": [ "Mi tienda" ], "response_types": [ "Mi tienda" ], "application_type": "Mi tienda"}